Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.uddi4j
Class UDDIException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.uddi4j.UDDIException

All Implemented Interfaces:
  java.io.Serializable

public class UDDIException
extends java.lang.Exception

Represents a UDDI defined error. This exception is thrown in cases where the return value on the UDDI API cannot indicate an error condition.

UDDIException usually contains a disposition report that has detailed information about the UDDI error, as defined by the UDDI specification. If the response is a SOAP fault, but does not contain a disposition report, this exception may still be thrown.

The DispositionReport class contains definitions for the various error values that can be returned.

Author:
  David Melgar (dmelgar@us.ibm.com)
See Also:
  Serialized Form

Constructor Summary
`UDDIException()`
`UDDIException(org.w3c.dom.Element el, boolean createDispositionReport)` Constructer that parses the XML dom tree and extracts useful attributes.

Method Summary
`java.lang.String` | `getDetail()`
`org.w3c.dom.Element` | `getDetailElement()`
`DispositionReport` | `getDispositionReport()`
`java.lang.String` | `getFaultActor()`
`java.lang.String` | `getFaultCode()`
`java.lang.String` | `getFaultString()`
`protected java.lang.String` | `getText(org.w3c.dom.Node el)` Utility function.
`static boolean` | `isValidElement(org.w3c.dom.Element el)` Tests the passed in element to determine if the element is a serialized version of this object.
`java.lang.String` | `toString()` Provide simple text exception message For full details, examine the dispositionReport object itself

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UDDIException

    public UDDIException()

### UDDIException

    public UDDIException(org.w3c.dom.Element el,
                         boolean createDispositionReport)

  Constructer that parses the XML dom tree and extracts useful attributes.

Parameters:
  `el` - Root element of the tree within the SOAP body.

Method Detail

### isValidElement

    public static boolean isValidElement(org.w3c.dom.Element el)

  Tests the passed in element to determine if the element is a serialized version of this object.

  Parameters:
    `el` - Root element for this object

### getFaultCode

    public java.lang.String getFaultCode()

### getFaultString

    public java.lang.String getFaultString()

### getFaultActor

    public java.lang.String getFaultActor()

### getDetail

    public java.lang.String getDetail()

### getDetailElement

    public org.w3c.dom.Element getDetailElement()

### getDispositionReport

    public DispositionReport getDispositionReport()

### getText

    protected java.lang.String getText(org.w3c.dom.Node el)

  Utility function. Returns text contained in child elements of the passed in element

  Parameters:
    `el` - Element
  Returns:
    java.lang.String

### toString

    public java.lang.String toString()

  Provide simple text exception message For full details, examine the dispositionReport object itself

  Returns:
    java.lang.String

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 International Business Machines Corporation, Hewlett-Packard Company. All Rights Reserved.